FROM postgres:11.2

MAINTAINER Alex Turchak <turchakalexx@gmail.com>

ENV POSTGIS_MAJOR 2.5

RUN apt-get update \
      && apt-get install -y --no-install-recommends \
           postgresql-$PG_MAJOR-postgis-$POSTGIS_MAJOR \
           postgresql-$PG_MAJOR-postgis-$POSTGIS_MAJOR-scripts \
           postgis \
      && rm -rf /var/lib/apt/lists/*

RUN mkdir -p /docker-entrypoint-initdb.d
# Copy the script which will initialize the replication permissions
COPY ./docker-entrypoint-initdb.d /docker-entrypoint-initdb.d
COPY ./update-postgis.sh /usr/local/bin

# Copy the custom configuration which will be passed down to the server (using a .sample file is the preferred way of doing it by
# the base Docker image)
COPY ./postgresql.conf.sample /usr/local/share/postgresql/postgresql.conf.sample
